use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


# キーに値を書き込む
ok $redis->set('key' => 'value');

# キーの値を読み込む
is $redis->get('key'), 'value';

done_testing;
