use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


use Cache::Redis;
my $cache = Cache::Redis->new(
    redis => $redis
);
$cache->set('key' => {hoge => 1});
is $cache->get('key')->{hoge}, 1;

done_testing;
