use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


use Redis::Setlock;
my $g = Redis::Setlock->lock_guard($redis,'key');
if ($g) {
   pass; # ロック獲得成功
}
else {
   fail; # ロック獲得失敗
}

done_testing;
