use Redis::Fast;
use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# テスト用のRedisサーバに接続する
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);

# Redisを使ったテスト
is $redis->ping, 'PONG', 'ping pong ok';

done_testing;
