use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


use utf8;
use Encode qw(encode_utf8 decode_utf8);

# 書き込むときはエンコード
ok $redis->set('key' => encode_utf8 '日本語');

# 読み込むときはデコード
my $val = decode_utf8 $redis->get('key');
is $val, '日本語';

done_testing;
