use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


# %key = (
#     a => 1,
#     b => 2,
# );
# をRedisに書き込む
$redis->hmset( key => (
    a => 1,
    b => 2,
) );

# $key{a} を取得
is $redis->hget('key', 'a'), 1;

done_testing;
