use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


# one: スコア50
# two: スコア100
$redis->zadd( key => (
     50 => one,
    100 => two,
) );

# 'one'の順位を取得
is $redis->zrank('key', 'one'), 0;

done_testing;
