use Test::RedisServer;
use Test::More;

# テスト用のRedisサーバを立ち上げる
my $redis_server = Test::RedisServer->new;

# Redisに接続する
use Redis::Fast;
my $redis = Redis::Fast->new(
    $redis_server->connect_info
);


use Redis::Namespace;
my $ns = Redis::Namespace->new(
    redis     => $redis,
    namespace => 'ns',
);

# $redis->set('ns:key', 'value');
$ns->set('key' => 'value');

# $redis->get('ns:key');
is $ns->get('key'), 'value';

done_testing;
